
#include <oslib/oslib.h>


void ClavierVirtuel()
{


	char *textDuClavier = '\0';
	//etre sure que le texte et vide
   // memset(textDuClavier, 0, sizeof(textDuClavier));
	//chargement du clavier
    oslKeyboardLoad(165, 20,"media/fond.png");
	//affiche le clavier
	textDuClavier = oslKeyboardDraw();

    while(!osl_quit){
         oslStartDrawing();
		 oslCls();
		 oslReadKeys();

	//	oslSetTextColor(RGBA(255,255,255,255));
	//	oslSetBkColor(RGBA(0,0,0,255));
	//	oslPrintf_xy(10, 10, "Ce que tu a Tapez et : %s", textDuClavier);
		
		   oslDrawFillRect(50+5, 190+5, 480-50+5, 272-10+5, RGBA(30,30,30,100));
		   oslDrawFillRect(50, 190, 480-50, 272-10, RGB(255,255,255));
		   oslPrintColorShadow(240- (oslStringLength("Le Texte Tapez Etait :")/2), 200,VERT,"Le Texte Tapez Etait :", 0);
          // oslDrawString(240, 200, "Tapez votre Texte:");
		   oslDrawFillRect(50+5+3, 190+23+3, 480-50-5+3, 272-10-5+3, RGBA(30,30,30,100));
		   oslDrawFillRect(50+5, 190+23, 480-50-5, 272-10-5, RGB(120,216,248));
		   oslDrawRect(50+5, 190+23, 480-50-5, 272-10-5, RGB(0,0,0));
		   oslSetBkColor(RGBA(0, 0, 0, 0));
		   oslSetTextColor(RGBA(255, 0, 0, 255));
		
		   if (oslStringLength(textDuClavier) > 1)
		   oslDrawTextBox(50+5+3, 190+23+3, 480-50-5-3, 272-10-5-3, textDuClavier, 0);
		   else
		   oslDrawTextBox(50+5+3, 190+23+3, 480-50-5-3, 272-10-5-3, "pas de texte", 0);



			oslSynchronization();

			if (osl_keys->pressed.start)break;

    }

}



